# Generated from side_boom-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name side_boom

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Construct and maintain your GitLab CI/CD pipeline
License: MIT
URL: https://gitlab.com/zj/side_boom
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug) >= 10.0
# BuildRequires: rubygem(byebug) < 11
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
The .gitlab-ci.yml is hard to maintain if your project grows, and its hard
to
determine what is defined where, and why. This Ruby DSL allows you to not be
limited by YAMLs limitations, but have all Ruby's features at your disposal.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/sideboom
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.sideboom
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/examples
%{gem_instdir}/side_boom.gemspec

%changelog
* Wed Feb 16 2022 mockbuilder - 0.1.0-1
- Initial package
